## nvidia-cg-toolkit 3.0.0016

=== local/Cg/examples/OpenGL/Makefile ===
# Makefile for GNU make

SUBDIRS := 
SUBDIRS += glew
SUBDIRS += basic
SUBDIRS += advanced

define SPAWN_MAKE
	$(MAKE) -C $(1) -f Makefile $@

endef

.PHONY: all .DEFAULT

all:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))

.DEFAULT:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))

=== local/Cg/examples/Tools/Makefile ===
# Makefile for GNU make

.PHONY: all cginfo cgfxcat trace traceCg traceCgGL traceGL traceGLUT .DEFAULT 

UNAME := $(shell uname)

all: cginfo cgfxcat trace traceCg traceCgGL traceGL traceGLUT 

cginfo:
	$(MAKE) -C cginfo -f Makefile.cginfo cginfo

cgfxcat:
	$(MAKE) -C cgfxcat -f Makefile.cgfxcat cgfxcat

trace:
	$(MAKE) -C trace -f Makefile.trace trace

traceCg:
	$(MAKE) -C trace -f Makefile.traceCg traceCg

ifneq ($(UNAME), Darwin)
traceCgGL:
	$(MAKE) -C trace -f Makefile.traceCgGL traceCgGL
endif

ifneq ($(UNAME), Darwin)
traceGL:
	$(MAKE) -C trace -f Makefile.traceGL traceGL
endif

traceGLUT:
	$(MAKE) -C trace -f Makefile.traceGLUT traceGLUT

.DEFAULT:
	$(MAKE) -C cginfo -f Makefile.cginfo $@
	$(MAKE) -C cgfxcat -f Makefile.cgfxcat $@
	$(MAKE) -C trace -f Makefile.trace $@
	$(MAKE) -C trace -f Makefile.traceCg $@
ifneq ($(UNAME), Darwin)
	$(MAKE) -C trace -f Makefile.traceCgGL $@
endif
ifneq ($(UNAME), Darwin)
	$(MAKE) -C trace -f Makefile.traceGL $@
endif
	$(MAKE) -C trace -f Makefile.traceGLUT $@

=== local/Cg/examples/OpenGL/advanced/buffer_lighting/Makefile ===
# Makefile for GNU make

.PHONY: all buffer_lighting .DEFAULT 

all: buffer_lighting 

buffer_lighting:
	$(MAKE) -f Makefile.buffer_lighting buffer_lighting

.DEFAULT:
	$(MAKE) -f Makefile.buffer_lighting $@

=== local/Cg/examples/OpenGL/advanced/cgfx_bumpdemo/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_bumpdemo cgfx_bumpdemo2 .DEFAULT 

all: cgfx_bumpdemo cgfx_bumpdemo2 

cgfx_bumpdemo:
	$(MAKE) -f Makefile.cgfx_bumpdemo cgfx_bumpdemo

cgfx_bumpdemo2:
	$(MAKE) -f Makefile.cgfx_bumpdemo2 cgfx_bumpdemo2

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_bumpdemo $@
	$(MAKE) -f Makefile.cgfx_bumpdemo2 $@

=== local/Cg/examples/OpenGL/advanced/cgfx_bumpdemo_array/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_bumpdemo_array .DEFAULT 

all: cgfx_bumpdemo_array 

cgfx_bumpdemo_array:
	$(MAKE) -f Makefile.cgfx_bumpdemo_array cgfx_bumpdemo_array

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_bumpdemo_array $@

=== local/Cg/examples/OpenGL/advanced/cgfx_interfaces/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_interfaces .DEFAULT 

all: cgfx_interfaces 

cgfx_interfaces:
	$(MAKE) -f Makefile.cgfx_interfaces cgfx_interfaces

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_interfaces $@

=== local/Cg/examples/OpenGL/advanced/cgfx_latest/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_latest .DEFAULT 

all: cgfx_latest 

cgfx_latest:
	$(MAKE) -f Makefile.cgfx_latest cgfx_latest

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_latest $@

=== local/Cg/examples/OpenGL/advanced/cgfx_procfx/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_procfx .DEFAULT 

all: cgfx_procfx 

cgfx_procfx:
	$(MAKE) -f Makefile.cgfx_procfx cgfx_procfx

.DEFAULT:
	$(MAKE) -f Makefile.cgfx_procfx $@

=== local/Cg/examples/OpenGL/advanced/combine_program/Makefile ===
# Makefile for GNU make

.PHONY: all combine_program combine_info .DEFAULT 

all: combine_program combine_info 

combine_program:
	$(MAKE) -f Makefile.combine_program combine_program

combine_info:
	$(MAKE) -f Makefile.combine_info combine_info

.DEFAULT:
	$(MAKE) -f Makefile.combine_program $@
	$(MAKE) -f Makefile.combine_info $@

=== local/Cg/examples/OpenGL/advanced/generic_attribs/Makefile ===
# Makefile for GNU make

.PHONY: all generic_attribs .DEFAULT 

all: generic_attribs 

generic_attribs:
	$(MAKE) -f Makefile.generic_attribs generic_attribs

.DEFAULT:
	$(MAKE) -f Makefile.generic_attribs $@

=== local/Cg/examples/OpenGL/advanced/gs_interp_quad/Makefile ===
# Makefile for GNU make

.PHONY: all gs_interp_quad .DEFAULT 

all: gs_interp_quad 

gs_interp_quad:
	$(MAKE) -f Makefile.gs_interp_quad gs_interp_quad

.DEFAULT:
	$(MAKE) -f Makefile.gs_interp_quad $@

=== local/Cg/examples/OpenGL/advanced/gs_quadnormal/Makefile ===
# Makefile for GNU make

.PHONY: all gs_quadnormal .DEFAULT 

all: gs_quadnormal 

gs_quadnormal:
	$(MAKE) -f Makefile.gs_quadnormal gs_quadnormal

.DEFAULT:
	$(MAKE) -f Makefile.gs_quadnormal $@

=== debian/changelog ===
nvidia-cg-toolkit (3.0.0016-0ubuntu1) precise; urgency=low

  [ Gregory Hainaut ]
  * Build for multiarch (LP: #811927)
    + Move library into libcg package. Update conflict accordingly.
    + Install so in multiarch directory
    + generate multiarch path in .install files
    + Bump debhelper dependency, need for ${misc:Pre-Depends} and dpkg >= 1.16

  [ Stefano Rivera ]
  * New upstream version

 -- Gregory Hainaut <gregory.hainaut@gmail.com>  Mon, 28 Nov 2011 18:48:59 +0200

=== debian/control ===
Source: nvidia-cg-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Federico Di Gregorio <fog@debian.org>
Uploaders: Andres Mejia <mcitadel@gmail.com>
Build-Depends:
 debhelper (>= 8.1.3),
 libglu1-mesa-dev,
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxmu-dev,
 libxt-dev,
 perl
Homepage: http://developer.nvidia.com/object/cg_toolkit.html
Vcs-Git: git://git.debian.org/git/collab-maint/nvidia-cg-toolkit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/nvidia-cg-toolkit.git
Standards-Version: 3.9.1
DM-Upload-Allowed: yes

Package: nvidia-cg-toolkit
Architecture: amd64 i386
Depends: libcg, libcggl, ${misc:Depends}, ${shlibs:Depends}
Description: Cg Toolkit - GPU Shader Authoring Language
 The Cg Toolkit provides a compiler for the Cg language, runtime libraries for
 use with both leading graphics APIs, runtime libraries for CgFX, example
 applications, and extensive documentation. Supporting over 25 different OpenGL
 and DirectX profile targets, Cg 2.0 will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 This package includes:
  * NVIDIA Cg Compiler
  * Cg User's Manual
  * Documentation for the Cg
  * Language Specification, runtime APIs, Cg standard library, CgFX states,
    and the Cg profiles.
  * Cg examples

Package: libcg
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: nvidia-cg-toolkit (<< 3.0.0007-0ubuntu2)
Provides: libcggl
Description: Cg Toolkit - Cg core runtime library
 The Cg Toolkit provides a compiler for the Cg language, runtime libraries for
 use with both leading graphics APIs, runtime libraries for CgFX, example
 applications, and extensive documentation. Supporting over 25 different OpenGL
 and DirectX profile targets, Cg 2.0 will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 This package includes:
  * Cg/CgFX Core Runtime libraries for OpenGL and Direct3D

=== debian/rules ===
#!/usr/bin/make -f

RELEASE = 3.0
PATCH = 0016
FN_VER = February2011
VER = $(RELEASE).$(PATCH)

PKG_BUILD_DIR = $(CURDIR)/debian/nvidia-cg-toolkit

%:
	dh $@

override_dh_install:
	set -e ; \
	for file in debian/libcg.install debian/nvidia-cg-toolkit.install ; do \
		sed -re 's/@ARCH@/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
			-e 's/@MULTIARCH@/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/g' \
			$${file}.in > $$file; \
	done;
	dh_install
	prename 's/\.(Cg(FX)?)$$/\.3$$1/' $(PKG_BUILD_DIR)/usr/share/man/man3/*
	sed -i -re 's/^\.TH (.+?) Cg/.TH \1 3Cg/' $(PKG_BUILD_DIR)/usr/share/man/man3/*
	find $(PKG_BUILD_DIR)/usr/share/doc/nvidia-cg-toolkit/examples \
	     -name '*.vcproj' -delete

override_dh_clean:
	dh_clean debian/libcg.install debian/nvidia-cg-toolkit.install

URLBASE = http://developer.download.nvidia.com/cg/Cg_$(RELEASE)/Cg-$(RELEASE)_$(FN_VER)

get-orig-source:
	set -e; \
	wget $(URLBASE)_x86.tgz -O nvidia-cg-toolkit_$(VER).orig-i386.tar.gz; \
	wget $(URLBASE)_x86_64.tgz -O nvidia-cg-toolkit_$(VER).orig-amd64.tar.gz; \
	mkdir nvidia-cg-toolkit-$(VER); \
	wget $(URLBASE)_LanguageSpecification.pdf \
	     -O nvidia-cg-toolkit-$(VER)/LanguageSpecification.pdf; \
	GZIP=--best tar -cz --owner root --group root \
	                -f nvidia-cg-toolkit_$(VER).orig.tar.gz \
	                nvidia-cg-toolkit-$(VER); \
	rm -rf nvidia-cg-toolkit-$(VER)

=== debian/watch ===
version=3

opts=dversionmangle=s/0016$/February2011/ \
 http://developer.nvidia.com/object/cg_download.html \
 http://developer.download.nvidia.com/cg/Cg_.*/Cg-(.+)_(.+)_x86.tgz

## nvidia-cg-toolkit 3.1.0013

=== local/Cg/examples/Makefile ===
# Makefile for GNU make

# The Direct3D9 examples do not compile with GNU make; use the Visual Studio projects instead.
SUBDIRS := 
SUBDIRS += Tools
SUBDIRS += OpenGL

define SPAWN_MAKE
	$(MAKE) -C $(1) -f Makefile $@

endef

.PHONY: all .DEFAULT

all:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))

.DEFAULT:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))

=== local/Cg/examples/OpenGL/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 SUBDIRS += glew
 SUBDIRS += basic
 SUBDIRS += advanced
+SUBDIRS += buffers
+SUBDIRS += tessellation
 
 define SPAWN_MAKE
 	$(MAKE) -C $(1) -f Makefile $@

=== local/Cg/examples/Trace/Makefile ===
# Makefile for GNU make

.PHONY: all trace traceCg traceCgGL traceGL traceGLUT .DEFAULT 

UNAME := $(shell uname)

all: trace traceCg traceCgGL traceGL traceGLUT 

trace:
	$(MAKE) -f Makefile.trace trace

traceCg:
	$(MAKE) -f Makefile.traceCg traceCg

ifneq ($(UNAME), Darwin)
traceCgGL:
	$(MAKE) -f Makefile.traceCgGL traceCgGL
endif

ifneq ($(UNAME), Darwin)
traceGL:
	$(MAKE) -f Makefile.traceGL traceGL
endif

traceGLUT:
	$(MAKE) -f Makefile.traceGLUT traceGLUT

.DEFAULT:
	$(MAKE) -f Makefile.trace $@
	$(MAKE) -f Makefile.traceCg $@
ifneq ($(UNAME), Darwin)
	$(MAKE) -f Makefile.traceCgGL $@
endif
ifneq ($(UNAME), Darwin)
	$(MAKE) -f Makefile.traceGL $@
endif
	$(MAKE) -f Makefile.traceGLUT $@

=== local/Cg/examples/OpenGL/advanced/Makefile ===
# Makefile for GNU make

.PHONY: all cgfx_bumpdemo cgfx_bumpdemo_array cgfx_bumpdemo2 cgfx_interfaces cgfx_latest cgfx_boxfilter cgfx_procfx cgfx_texture_array combine_program combine_info custom_state_assignments generic_attribs gs_md2bump gs_md2shadowvol gs_md2shadow gs_shrinky gs_simple gs_quadnormal gs_interp_quad include_string interpolation_modifier texture_array vertex_texture .DEFAULT 

UNAME := $(shell uname)

all: cgfx_bumpdemo cgfx_bumpdemo_array cgfx_bumpdemo2 cgfx_interfaces cgfx_latest cgfx_boxfilter cgfx_procfx cgfx_texture_array combine_program combine_info custom_state_assignments generic_attribs gs_md2bump gs_md2shadowvol gs_md2shadow gs_shrinky gs_simple gs_quadnormal gs_interp_quad include_string interpolation_modifier texture_array vertex_texture 

cgfx_bumpdemo:
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo cgfx_bumpdemo

cgfx_bumpdemo_array:
	$(MAKE) -C cgfx_bumpdemo_array -f Makefile.cgfx_bumpdemo_array cgfx_bumpdemo_array

cgfx_bumpdemo2:
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo2 cgfx_bumpdemo2

cgfx_interfaces:
	$(MAKE) -C cgfx_interfaces -f Makefile.cgfx_interfaces cgfx_interfaces

cgfx_latest:
	$(MAKE) -C cgfx_latest -f Makefile.cgfx_latest cgfx_latest

cgfx_boxfilter:
	$(MAKE) -C cgfx_boxfilter -f Makefile.cgfx_boxfilter cgfx_boxfilter

cgfx_procfx:
	$(MAKE) -C cgfx_procfx -f Makefile.cgfx_procfx cgfx_procfx

cgfx_texture_array:
	$(MAKE) -C cgfx_texture_array -f Makefile.cgfx_texture_array cgfx_texture_array

combine_program:
	$(MAKE) -C combine_program -f Makefile.combine_program combine_program

combine_info:
	$(MAKE) -C combine_program -f Makefile.combine_info combine_info

custom_state_assignments:
	$(MAKE) -C custom_state_assignments -f Makefile.custom_state_assignments custom_state_assignments

generic_attribs:
	$(MAKE) -C generic_attribs -f Makefile.generic_attribs generic_attribs

gs_md2bump:
	$(MAKE) -C gs_md2render -f Makefile.gs_md2bump gs_md2bump

gs_md2shadowvol:
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadowvol gs_md2shadowvol

gs_md2shadow:
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadow gs_md2shadow

gs_shrinky:
	$(MAKE) -C gs_shrinky -f Makefile.gs_shrinky gs_shrinky

gs_simple:
	$(MAKE) -C gs_simple -f Makefile.gs_simple gs_simple

gs_quadnormal:
	$(MAKE) -C gs_quadnormal -f Makefile.gs_quadnormal gs_quadnormal

gs_interp_quad:
	$(MAKE) -C gs_interp_quad -f Makefile.gs_interp_quad gs_interp_quad

include_string:
	$(MAKE) -C include_string -f Makefile.include_string include_string

interpolation_modifier:
	$(MAKE) -C interpolation_modifier -f Makefile.interpolation_modifier interpolation_modifier

texture_array:
	$(MAKE) -C texture_array -f Makefile.texture_array texture_array

vertex_texture:
	$(MAKE) -C vertex_texture -f Makefile.vertex_texture vertex_texture

.DEFAULT:
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo $@
	$(MAKE) -C cgfx_bumpdemo_array -f Makefile.cgfx_bumpdemo_array $@
	$(MAKE) -C cgfx_bumpdemo -f Makefile.cgfx_bumpdemo2 $@
	$(MAKE) -C cgfx_interfaces -f Makefile.cgfx_interfaces $@
	$(MAKE) -C cgfx_latest -f Makefile.cgfx_latest $@
	$(MAKE) -C cgfx_boxfilter -f Makefile.cgfx_boxfilter $@
	$(MAKE) -C cgfx_procfx -f Makefile.cgfx_procfx $@
	$(MAKE) -C cgfx_texture_array -f Makefile.cgfx_texture_array $@
	$(MAKE) -C combine_program -f Makefile.combine_program $@
	$(MAKE) -C combine_program -f Makefile.combine_info $@
	$(MAKE) -C custom_state_assignments -f Makefile.custom_state_assignments $@
	$(MAKE) -C generic_attribs -f Makefile.generic_attribs $@
	$(MAKE) -C gs_md2render -f Makefile.gs_md2bump $@
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadowvol $@
	$(MAKE) -C gs_md2render -f Makefile.gs_md2shadow $@
	$(MAKE) -C gs_shrinky -f Makefile.gs_shrinky $@
	$(MAKE) -C gs_simple -f Makefile.gs_simple $@
	$(MAKE) -C gs_quadnormal -f Makefile.gs_quadnormal $@
	$(MAKE) -C gs_interp_quad -f Makefile.gs_interp_quad $@
	$(MAKE) -C include_string -f Makefile.include_string $@
	$(MAKE) -C interpolation_modifier -f Makefile.interpolation_modifier $@
	$(MAKE) -C texture_array -f Makefile.texture_array $@
	$(MAKE) -C vertex_texture -f Makefile.vertex_texture $@

=== local/Cg/examples/OpenGL/basic/Makefile ===
# Makefile for GNU make

.PHONY: all 01_vertex_program 02_vertex_and_fragment_program 03_uniform_parameter 04_varying_parameter 05_texture_sampling 06_vertex_twisting 07_two_texture_accesses 08_vertex_transform 09_vertex_lighting 10_fragment_lighting 11_two_lights_with_structs 12_light_attenuation 13_spotlight 14_bulge 15_particle_system 16_keyframe_interpolation 18_cube_map_reflection 19_cube_map_refraction 20_chromatic_dispersion 21_bump_map_wall 22_specular_bump_map 23_bump_map_floor 24_bump_map_torus 25_uniform_fog 26_toon_shading 27_projective_texturing .DEFAULT 

UNAME := $(shell uname)

all: 01_vertex_program 02_vertex_and_fragment_program 03_uniform_parameter 04_varying_parameter 05_texture_sampling 06_vertex_twisting 07_two_texture_accesses 08_vertex_transform 09_vertex_lighting 10_fragment_lighting 11_two_lights_with_structs 12_light_attenuation 13_spotlight 14_bulge 15_particle_system 16_keyframe_interpolation 18_cube_map_reflection 19_cube_map_refraction 20_chromatic_dispersion 21_bump_map_wall 22_specular_bump_map 23_bump_map_floor 24_bump_map_torus 25_uniform_fog 26_toon_shading 27_projective_texturing 

01_vertex_program:
	$(MAKE) -C 01_vertex_program -f Makefile.01_vertex_program 01_vertex_program

02_vertex_and_fragment_program:
	$(MAKE) -C 02_vertex_and_fragment_program -f Makefile.02_vertex_and_fragment_program 02_vertex_and_fragment_program

03_uniform_parameter:
	$(MAKE) -C 03_uniform_parameter -f Makefile.03_uniform_parameter 03_uniform_parameter

04_varying_parameter:
	$(MAKE) -C 04_varying_parameter -f Makefile.04_varying_parameter 04_varying_parameter

05_texture_sampling:
	$(MAKE) -C 05_texture_sampling -f Makefile.05_texture_sampling 05_texture_sampling

06_vertex_twisting:
	$(MAKE) -C 06_vertex_twisting -f Makefile.06_vertex_twisting 06_vertex_twisting

07_two_texture_accesses:
	$(MAKE) -C 07_two_texture_accesses -f Makefile.07_two_texture_accesses 07_two_texture_accesses

08_vertex_transform:
	$(MAKE) -C 08_vertex_transform -f Makefile.08_vertex_transform 08_vertex_transform

09_vertex_lighting:
	$(MAKE) -C 09_vertex_lighting -f Makefile.09_vertex_lighting 09_vertex_lighting

10_fragment_lighting:
	$(MAKE) -C 10_fragment_lighting -f Makefile.10_fragment_lighting 10_fragment_lighting

11_two_lights_with_structs:
	$(MAKE) -C 11_two_lights_with_structs -f Makefile.11_two_lights_with_structs 11_two_lights_with_structs

12_light_attenuation:
	$(MAKE) -C 12_light_attenuation -f Makefile.12_light_attenuation 12_light_attenuation

13_spotlight:
	$(MAKE) -C 13_spotlight -f Makefile.13_spotlight 13_spotlight

14_bulge:
	$(MAKE) -C 14_bulge -f Makefile.14_bulge 14_bulge

15_particle_system:
	$(MAKE) -C 15_particle_system -f Makefile.15_particle_system 15_particle_system

16_keyframe_interpolation:
	$(MAKE) -C 16_keyframe_interpolation -f Makefile.16_keyframe_interpolation 16_keyframe_interpolation

18_cube_map_reflection:
	$(MAKE) -C 18_cube_map_reflection -f Makefile.18_cube_map_reflection 18_cube_map_reflection

19_cube_map_refraction:
	$(MAKE) -C 19_cube_map_refraction -f Makefile.19_cube_map_refraction 19_cube_map_refraction

20_chromatic_dispersion:
	$(MAKE) -C 20_chromatic_dispersion -f Makefile.20_chromatic_dispersion 20_chromatic_dispersion

21_bump_map_wall:
	$(MAKE) -C 21_bump_map_wall -f Makefile.21_bump_map_wall 21_bump_map_wall

22_specular_bump_map:
	$(MAKE) -C 22_specular_bump_map -f Makefile.22_specular_bump_map 22_specular_bump_map

23_bump_map_floor:
	$(MAKE) -C 23_bump_map_floor -f Makefile.23_bump_map_floor 23_bump_map_floor

24_bump_map_torus:
	$(MAKE) -C 24_bump_map_torus -f Makefile.24_bump_map_torus 24_bump_map_torus

25_uniform_fog:
	$(MAKE) -C 25_uniform_fog -f Makefile.25_uniform_fog 25_uniform_fog

26_toon_shading:
	$(MAKE) -C 26_toon_shading -f Makefile.26_toon_shading 26_toon_shading

27_projective_texturing:
	$(MAKE) -C 27_projective_texturing -f Makefile.27_projective_texturing 27_projective_texturing

.DEFAULT:
	$(MAKE) -C 01_vertex_program -f Makefile.01_vertex_program $@
	$(MAKE) -C 02_vertex_and_fragment_program -f Makefile.02_vertex_and_fragment_program $@
	$(MAKE) -C 03_uniform_parameter -f Makefile.03_uniform_parameter $@
	$(MAKE) -C 04_varying_parameter -f Makefile.04_varying_parameter $@
	$(MAKE) -C 05_texture_sampling -f Makefile.05_texture_sampling $@
	$(MAKE) -C 06_vertex_twisting -f Makefile.06_vertex_twisting $@
	$(MAKE) -C 07_two_texture_accesses -f Makefile.07_two_texture_accesses $@
	$(MAKE) -C 08_vertex_transform -f Makefile.08_vertex_transform $@
	$(MAKE) -C 09_vertex_lighting -f Makefile.09_vertex_lighting $@
	$(MAKE) -C 10_fragment_lighting -f Makefile.10_fragment_lighting $@
	$(MAKE) -C 11_two_lights_with_structs -f Makefile.11_two_lights_with_structs $@
	$(MAKE) -C 12_light_attenuation -f Makefile.12_light_attenuation $@
	$(MAKE) -C 13_spotlight -f Makefile.13_spotlight $@
	$(MAKE) -C 14_bulge -f Makefile.14_bulge $@
	$(MAKE) -C 15_particle_system -f Makefile.15_particle_system $@
	$(MAKE) -C 16_keyframe_interpolation -f Makefile.16_keyframe_interpolation $@
	$(MAKE) -C 18_cube_map_reflection -f Makefile.18_cube_map_reflection $@
	$(MAKE) -C 19_cube_map_refraction -f Makefile.19_cube_map_refraction $@
	$(MAKE) -C 20_chromatic_dispersion -f Makefile.20_chromatic_dispersion $@
	$(MAKE) -C 21_bump_map_wall -f Makefile.21_bump_map_wall $@
	$(MAKE) -C 22_specular_bump_map -f Makefile.22_specular_bump_map $@
	$(MAKE) -C 23_bump_map_floor -f Makefile.23_bump_map_floor $@
	$(MAKE) -C 24_bump_map_torus -f Makefile.24_bump_map_torus $@
	$(MAKE) -C 25_uniform_fog -f Makefile.25_uniform_fog $@
	$(MAKE) -C 26_toon_shading -f Makefile.26_toon_shading $@
	$(MAKE) -C 27_projective_texturing -f Makefile.27_projective_texturing $@

=== local/Cg/examples/OpenGL/advanced/cgfx_bumpdemo/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all cgfx_bumpdemo cgfx_bumpdemo2 .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: cgfx_bumpdemo cgfx_bumpdemo2

=== local/Cg/examples/OpenGL/advanced/generic_attribs/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all generic_attribs .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: generic_attribs

=== local/Cg/examples/OpenGL/advanced/gs_interp_quad/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all gs_interp_quad .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: gs_interp_quad

=== local/Cg/examples/OpenGL/advanced/gs_md2render/Makefile ===
# Makefile for GNU make

.PHONY: all gs_md2bump gs_md2shadowvol gs_md2shadow .DEFAULT 

UNAME := $(shell uname)

all: gs_md2bump gs_md2shadowvol gs_md2shadow 

gs_md2bump:
	$(MAKE) -f Makefile.gs_md2bump gs_md2bump

gs_md2shadowvol:
	$(MAKE) -f Makefile.gs_md2shadowvol gs_md2shadowvol

gs_md2shadow:
	$(MAKE) -f Makefile.gs_md2shadow gs_md2shadow

.DEFAULT:
	$(MAKE) -f Makefile.gs_md2bump $@
	$(MAKE) -f Makefile.gs_md2shadowvol $@
	$(MAKE) -f Makefile.gs_md2shadow $@

=== local/Cg/examples/OpenGL/advanced/gs_quadnormal/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for GNU make
 
 .PHONY: all gs_quadnormal .DEFAULT 
+
+UNAME := $(shell uname)
 
 all: gs_quadnormal

=== local/Cg/examples/OpenGL/advanced/gs_simple/Makefile ===
# Makefile for GNU make

.PHONY: all gs_simple .DEFAULT 

UNAME := $(shell uname)

all: gs_simple 

gs_simple:
	$(MAKE) -f Makefile.gs_simple gs_simple

.DEFAULT:
	$(MAKE) -f Makefile.gs_simple $@

=== local/Cg/examples/OpenGL/advanced/include_string/Makefile ===
# Makefile for GNU make

.PHONY: all include_string .DEFAULT 

UNAME := $(shell uname)

all: include_string 

include_string:
	$(MAKE) -f Makefile.include_string include_string

.DEFAULT:
	$(MAKE) -f Makefile.include_string $@

=== debian/changelog ===
nvidia-cg-toolkit (3.1.0013-5) unstable; urgency=medium

  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Add Build-Depends-Package field to symbols files.
  * Add debian/rules targets for archiving the tarballs in a separate
    repository using git-lfs as storage backend.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Jan 2019 02:32:48 +0100

nvidia-cg-toolkit (3.1.0013-4) unstable; urgency=medium

  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Update watch file.
  * Fix new Lintian issues.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Mar 2018 07:30:55 +0100

nvidia-cg-toolkit (3.1.0013-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add gbp.conf to enable overlay mode.
  * Add get-tarball-dir target to checkout the tarball archive from SVN.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Use https:// URLs where possible.
  * Bump debhelper to (>= 10) and compat version to 10.
  * Set Rules-Requires-Root: no.
  * Enable more hardening.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Remove maintainer scripts needed for upgrades from ancient version.
  * Fix typo in manpage.
  * Update Lintian overrides.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 06:38:24 +0100

nvidia-cg-toolkit (3.1.0013-2) unstable; urgency=low

  [ Miguel A. Colón Vélez ]
  * debian/control:
    - Build depend on libglu-dev instead of libglu1-dev.

  [ Andreas Beckmann ]
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.6. No changes needed.
  * Fix manpage typos.
  * Update Lintian overrides.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Oct 2014 15:47:46 +0200

nvidia-cg-toolkit (3.1.0013-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Adopt package.  (Closes: #649514)
  * New Maintainer: Debian NVIDIA Maintainers.
  * New Uploaders: Miguel A. Colón Vélez, Russ Allbery, and myself.
  * Move packaging git repository to pkg-nvidia:
    git://git.debian.org/git/pkg-nvidia/nvidia-cg-toolkit.git
  * Acknowledge l10n NMUs.  (Closes: #610093)
  * Update Lintian overrides.
  * Review, reorder, and simplify the packaging.
  * Add XS-Autobuild: yes.
  * Use Breaks/Replaces: nvidia-cg-toolkit (<< ${source:Version}) to allow
    upgrades from old monolithic packages in Ubuntu and from NVIDIA.
  * Document a possible package build workflow in README.source.
  * Error out early if the .orig-*.tar.gz are not unpacked before build.

  [ Miguel A. Colón Vélez ]
  * New upstream release 3.1.0013 (April 2012).
    - Since release 2.1 the upstream license allows redistribution, so convert
      the packaging from an installer package (in contrib) to a set of
      packages: nvidia-cg-{toolkit,dev,doc}, libcg, libcggl (in non-free).
    (Closes: #506494, #539418, #502457, #639857)
  * Remove installer script, debconf translations and related dependencies.
  * nvidia-cg-toolkit.preinst: Run installer script in uninstallation mode
    before upgrade.
  * Convert package to 3.0 (quilt) format.
  * Add watch file, get-orig-source target, and README.source.
  * Use two pristine upstream tarballs (*.orig-{amd64,i386}.tar.gz) and an
    empty *.orig.tar.gz (via create-empty-orig in debian/source/options).
  * Bump Standards-Version to 3.9.3.
  * Update copyright file as per DEP-5.
  * Bump debhelper to (>= 9) and compat version to 9.
  * Simplify the rules file by using the dh helper.
  * Change Section from contrib/libs to non-free/libs.
  * Update the README.Debian file and Homepage.
  * Add build dependencies for cginfo and cgfxcat.
  * Compile cginfo and cgfxcat instead of using the prebuilt binaries.
    - Ensure the hardened LDFLAGS are used.
    - Link cginfo and cgfxcat with --as-needed to reduce library footprint.
  * Don't strip the prebuilt binaries since stripping may violate the license
    (modifies binaries).
  * Use the manpages from version 3.0.0016 for the binaries in the
    nvidia-cg-toolkit package. They got removed upstream in version 3.1.0010 but
    are still included in the Cg Reference Manual.
    - Fix a spelling error in cgc.1 (compatable -> compatible).
  * Add multiarch support.
  * Create the libcg and libcggl packages.
    - Unfortunately upstream provides libraries with an unversioned SONAME.
    - Use Multi-Arch: same.
    - Breaks/Replaces old nvidia-cg-toolkit and libcg.
    - Create the libcg.symbols and libcggl.symbols files.
    - Create *.postinst/*.postrm according to Debian policy 8.1.1.
  * Create the nvidia-cg-dev package.
    - Use Multi-Arch: same.
    - Depend on the new libcg and libcggl packages.
    - Breaks/Replaces old nvidia-cg-toolkit.
  * Create the nvidia-cg-doc package.
    - Breaks/Replaces old nvidia-cg-toolkit.
    - Don't compress the examples (Makefile, *.h, *.c, *.cpp, *.cg).
    - Don't include the license.pdf/license.txt files since a verbatim copy is
      included in the copyright file.
    - Don't include the Microsoft Visual Studio files.
    - Don't include architecture dependent files. These files can be
      recompiled by the user since the sources are included.
  * Package nvidia-cg-toolkit:
    - Change Section to non-free/devel.
    - Depend on the new libcg, libcggl and nvidia-cg-dev packages.
    - Suggest the newly created nvidia-cg-doc package.
    - Update description using the latest information from the Nvidia website.
  * {libcg,nvidia-cg-doc}.postinst: Manually remove /usr/lib/libCg.so and
    /usr/lib/libCgGL.so. Due to the removal of the /usr/lib64 symlink, the
    installer script does not remove these files.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 24 May 2012 20:45:17 -0400

=== debian/control ===
Source: nvidia-cg-toolkit
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Miguel A. Colón Vélez <debian.micove@gmail.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 freeglut3-dev,
 libglu1-mesa-dev | libglu-dev,
 libxi-dev,
 libxmu-dev
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://developer.nvidia.com/cg-toolkit
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cg-toolkit
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cg-toolkit.git
XS-Autobuild: yes

Package: nvidia-cg-toolkit
Section: non-free/devel
Architecture: amd64 i386
Depends:
 libcg (= ${binary:Version}),
 libcggl (= ${binary:Version}),
 nvidia-cg-dev (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 nvidia-cg-doc (= ${source:Version})
Description: Cg Toolkit - GPU Shader Authoring Language
 The Nvidia Cg Toolkit provides a compiler for the Cg language, runtime
 libraries for use with both leading graphics APIs, runtime libraries for CgFX,
 example applications, and extensive documentation. Supporting over 24 different
 OpenGL and DirectX profile targets, Cg will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Unified Cg/CgFX Runtime
  * Cg User's Manual
  * Cg Language Specification
  * Example programs and shaders
 .
 This package contains the Cg compiler and other utilities.

Package: libcg
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 nvidia-cg-toolkit (<< ${source:Version})
Description: Nvidia Cg core runtime library
 C for graphics (CG) is a high-level shading language developed by Nvidia in
 close collaboration with Microsoft for programming vertex and pixel shaders.
 .
 This package contains the Cg core runtime library.

Package: libcggl
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libcg (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libcg (<< ${source:Version}),
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 libcg (<< ${source:Version}),
 nvidia-cg-toolkit (<< ${source:Version})
Description: Nvidia Cg Opengl runtime library
 C for graphics (CG) is a high-level shading language developed by Nvidia in
 close collaboration with Microsoft for programming vertex and pixel shaders.
 .
 This package contains the Cg Opengl runtime library.

Package: nvidia-cg-dev
Section: non-free/libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends:
 libcg (= ${binary:Version}),
 libcggl (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 nvidia-cg-toolkit (<< ${source:Version})
Description: Cg Toolkit - GPU Shader Authoring Language (headers)
 The Nvidia Cg Toolkit provides a compiler for the Cg language, runtime
 libraries for use with both leading graphics APIs, runtime libraries for CgFX,
 example applications, and extensive documentation. Supporting over 24 different
 OpenGL and DirectX profile targets, Cg will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Unified Cg/CgFX Runtime
  * Cg User's Manual
  * Cg Language Specification
  * Example programs and shaders
 .
 This package contains the development files.

Package: nvidia-cg-doc
Section: non-free/doc
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 nvidia-cg-toolkit (<< ${source:Version})
Replaces:
 nvidia-cg-toolkit (<< ${source:Version})
Description: Cg Toolkit - GPU Shader Authoring Language (documentation)
 The Nvidia Cg Toolkit provides a compiler for the Cg language, runtime
 libraries for use with both leading graphics APIs, runtime libraries for CgFX,
 example applications, and extensive documentation. Supporting over 24 different
 OpenGL and DirectX profile targets, Cg will allow you to incorporate stunning
 interactive effects into your 3D applications.
 .
 The components include:
  * NVIDIA Cg Compiler
  * Unified Cg/CgFX Runtime
  * Cg User's Manual
  * Cg Language Specification
  * Example programs and shaders
 .
 This package contains the developer documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

CG_INC_PATH	 = $(CURDIR)/$(DEB_HOST_ARCH)/include
CG_LIB_PATH	 = $(CURDIR)/$(DEB_HOST_ARCH)/$(if $(filter amd64,$(DEB_HOST_ARCH)),lib64,lib)

export LINKFLAGS
override_dh_auto_build: LINKFLAGS += $(LDFLAGS) -Wl,--as-needed
override_dh_auto_build:
	test -d amd64 && test -d i386 || ( echo "ERROR: The sources are not unpacked." ; exit 1 )
	$(MAKE) -C $(DEB_HOST_ARCH)/local/Cg/examples/Tools/cginfo/ \
		CG_INC_PATH=$(CG_INC_PATH)
	$(MAKE) -C $(DEB_HOST_ARCH)/local/Cg/examples/Tools/cgfxcat/ \
		CG_INC_PATH=$(CG_INC_PATH) CG_LIB_PATH=$(CG_LIB_PATH)

override_dh_compress:
	dh_compress -XMakefile -X.c -X.h

override_dh_installdocs:
	dh_installdocs -Xlicense.pdf -Xlicense.txt

override_dh_installexamples:
	test ! -d $(DEB_HOST_ARCH)/local/Cg/examples/Tools/cginfo/ || \
		$(MAKE) -C $(DEB_HOST_ARCH)/local/Cg/examples/Tools/cginfo/ clean
	test ! -d $(DEB_HOST_ARCH)/local/Cg/examples/Tools/cgfxcat/ || \
		$(MAKE) -C $(DEB_HOST_ARCH)/local/Cg/examples/Tools/cgfxcat/ clean
	dh_installexamples -X.sln -X.vcproj -X.vcxproj
	test ! -d debian/nvidia-cg-doc/usr/share/doc/nvidia-cg-doc/examples/ || \
		$(MAKE) -C debian/nvidia-cg-doc/usr/share/doc/nvidia-cg-doc/examples/ clean
	test ! -d debian/nvidia-cg-doc/usr/share/doc/nvidia-cg-doc/examples/Trace/ || \
		$(MAKE) -C debian/nvidia-cg-doc/usr/share/doc/nvidia-cg-doc/examples/Trace/ clean

# Disable stripping since it may violate the license terms (modifies binaries).
# We compile cginfo and cgfxcat from source and can strip them.
override_dh_dwz:
	dh_dwz -XlibCgGL.so -XlibCg.so -Xcgc
override_dh_strip:
	dh_strip -XlibCgGL.so -XlibCg.so -Xcgc

%:
	dh $@

############################################################################

VERSION		 = $(DEB_VERSION_UPSTREAM)
TARBALLi386	 = nvidia-cg-toolkit_$(VERSION).orig-i386.tar.gz
TARBALLamd64	 = nvidia-cg-toolkit_$(VERSION).orig-amd64.tar.gz

URL1		 = http://http.developer.nvidia.com/Cg/
URL2		 = index_releases.html

.PHONY: get-orig-source
get-orig-source:
	LINK=$$(wget -q $(URL1)$(URL2) -O - | grep $(VERSION) | cut -d'"' -f2) ; \
	CURRENTURL=$(URL1)$$LINK ; \
	if [ -n "$$LINK" ]; then \
		wget -q $$CURRENTURL -O - | grep "x86.tgz" | cut -d '"' -f2 | wget -O $(TARBALLi386) -i - ; \
		wget -q $$CURRENTURL -O - | grep "_64.tgz" | cut -d '"' -f2 | wget -O $(TARBALLamd64) -i - ; \
	else \
		echo "Could not find nvidia-cg-toolkit version $(VERSION)" ; \
		exit 1 ; \
	fi

############################################################################

# The tarballs are kept in a separate git repository and use the git-lfs
# storage backend.

UPSTREAM_NAME		 = nvidia-cg-toolkit

GIT			?= git
TARBALL_REPOSITORY	 = https://salsa.debian.org/nvidia-team/tarballs-$(UPSTREAM_NAME).git
TARBALL_TREE		 = ../tarballs-$(UPSTREAM_NAME)

$(TARBALL_TREE):
	$(RM) -r $@.tmp
	$(GIT) clone --no-checkout $(TARBALL_REPOSITORY) $@.tmp
	cd $@.tmp && $(GIT) lfs install --local
	cd $@.tmp && $(GIT) checkout
	mv $@.tmp $@

# only invoked manually
tarball-tree: $(TARBALL_TREE) ;

# only invoked manually
writable-tarball-tree: tarball-tree
	cd $(TARBALL_TREE) && $(GIT) remote set-url origin $(patsubst https://salsa.debian.org/%,git@salsa.debian.org:%,$(TARBALL_REPOSITORY))

=== debian/watch ===
version=3
# Use get-orig-source from the rules file to download the source packages.
options=uversionmangle=s/_/~/ \
https://developer.nvidia.com/cg-toolkit-download .*/Cg-(.*)_x86.tgz
options=uversionmangle=s/_/~/ \
https://developer.nvidia.com/cg-toolkit-download .*/Cg-(.*)_x86_64.tgz
